TargetJdk (Gradle API 9.0.0)
Description: declaration: package: org.gradle.api.plugins.quality, enum: TargetJdk

Package org.gradle.api.plugins.quality

# Enum TargetJdk

java.lang.Object
java.lang.Enum<TargetJdk>
org.gradle.api.plugins.quality.TargetJdk

All Implemented Interfaces:
  `Serializable`, `Comparable<TargetJdk>`, `java.lang.constant.Constable`

public enum TargetJdk extends Enum<TargetJdk>
Represents the PMD targetjdk property available for PMD < 5.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VERSION_1_3`
  `VERSION_1_4`
  `VERSION_1_5`
  `VERSION_1_6`
  `VERSION_1_7`
  `VERSION_JSP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `String`
  `toString()`
  `static @Nullable TargetJdk`
  `toVersion(@Nullable Object value)`
  Converts the given object into a `TargetJdk`.
  `static TargetJdk`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TargetJdk[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VERSION_1_3

    public static final TargetJdk VERSION_1_3

  - ### VERSION_1_4

    public static final TargetJdk VERSION_1_4

  - ### VERSION_1_5

    public static final TargetJdk VERSION_1_5

  - ### VERSION_1_6

    public static final TargetJdk VERSION_1_6

  - ### VERSION_1_7

    public static final TargetJdk VERSION_1_7

  - ### VERSION_JSP

    public static final TargetJdk VERSION_JSP

- ## Method Details

  - ### values

    public static TargetJdk[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TargetJdk valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toVersion

    public static @Nullable TargetJdk toVersion(@Nullable Object value) throws IllegalArgumentException
    Converts the given object into a `TargetJdk`.
    Parameters:
      `value` - An object whose toString() value is to be converted. May be null.
    Returns:
      The version, or null if the provided value is null.
    Throws:
      `IllegalArgumentException` - when the provided value cannot be converted.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TargetJdk>`

  - ### getName

    public String getName()